{% set visuallyHiddenText = params.visuallyHiddenText | default("Error") -%}
{% if params.html or params.text %}

<span class="nhsuk-error-message
{%- if params.classes %} {{ params.classes }}{% endif %}"
{%- if params.id %} id="{{ params.id }}"{% endif %}
{%- for attribute, value in params.attributes %} {{ attribute }}="{{ value }}"{% endfor %}>
  {% if visuallyHiddenText %}<span class="nhsuk-u-visually-hidden">{{ visuallyHiddenText }}:</span> {% endif -%}
        {{  params.html | safe if params.html else __({phrase: params.text, locale: params.locale }) }}
</span>
{%- endif -%}
